Retrieves all the work instructions.

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

work_instruction
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating work_instruction

string
sales_organization

Embedded entity "sales_organization" when adding/updating work_instruction

sales_organization
job_type_id

Applicable job_type

globally unique identifier

Required

job_type_code

Applicable job_type

string
equipment_family_id

Applicable equipment family

globally unique identifier

Required

equipment_family_code

Applicable equipment family

string
skill_ids

List of only applicable skils

Collection of globally unique identifier
skill_codes

List of only applicable skils

Collection of string
name

Name of the header of the work instruction.

string

Required

Max length: 50

description

Explanation of these instructions for the technician.

string

Required

Max length: 255

estimated_work_time

Time needed to complete these instructions. Number in minute.

integer
additional_information

Additional information

string

Max length: 4000

reference_back_office

The Id/Ref of the back office for this work instruction. Used by Embedded entity

string

Max length: 255

is_required

If true then all instructions required to be executed

boolean
is_archived

Specify if the object is not usable anymore

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating.

date

Response Formats

application/json, text/json

Sample:
{
  "id": "e181b772-ba37-4dee-b530-69b1cd22f35f",
  "sales_organization_id": "97140b00-50cf-458a-b6b0-7b6eb76897d9",
  "sales_organization_code": "sample string 3",
  "job_type_id": "19778831-63cf-41c8-96e2-5a5d2b2c788c",
  "job_type_code": "sample string 5",
  "equipment_family_id": "536e2402-0980-4fed-95b2-e1ea0d648955",
  "equipment_family_code": "sample string 7",
  "skill_ids": [
    "d0db32ff-89fc-4e6d-baab-c5c11009d054",
    "c168486a-dd87-4628-a9da-37bfa2deb5da"
  ],
  "skill_codes": [
    "sample string 1",
    "sample string 2"
  ],
  "name": "sample string 8",
  "description": "sample string 9",
  "estimated_work_time": 10,
  "additional_information": "sample string 11",
  "reference_back_office": "sample string 12",
  "is_required": true,
  "is_archived": true,
  "modified_dateutc": "2026-11-02T06:32:39.9040676+00:00"
}